<?php

namespace App\Modules\Models\Feedback\Traits\Attribute;

/**
 * Class FeedbackAttribute
 * @package App\Modules\Models\Feedback\Traits\Attribute
 */
trait FeedbackAttribute
{
    /**
     * @return string
     */
    public function getInfoButtonAttribute()
    {
        return '<a href="' . route('admin.feedback.info', $this) . '" class="btn btn-xs btn-info"><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="' . trans('buttons.general.crud.info') . '"></i></a> ';
    }


    /**
     * @return string
     */
    public function getActionButtonsAttribute()
    {
        return
            $this->getInfoButtonAttribute();
    }
}
